<?php
// Reset all Mondial Relay parameters message
if (isset($noty) && $noty == 1) { ?>
    <div class="updated">
        <p><?php _e("Tous les paramètres du plugin Mondial Relay pour WordPress ont bien été réinitialisés.", 'mondialrelay-wordpress') ?></p>
    </div>
<?php }
// Reset configuration Mondial Relay parameters message
else if (isset($noty) && $noty == 2) { ?>
    <div class="updated">
        <p><?php _e("Les paramètres de configuration du plugin Mondial Relay pour WordPress ont bien été réinitialisés.", 'mondialrelay-wordpress') ?></p>
    </div>
<?php }
// Reset point Mondial Relay parameters message
else if (isset($noty) && $noty == 3) { ?>
    <div class="updated">
        <p><?php _e("Les paramètres de recherche de Point Relais® du plugin Mondial Relay pour WordPress ont bien été réinitialisés.", 'mondialrelay-wordpress') ?></p>
    </div>
<?php }
// Reset vendor contact details Mondial Relay parameters message
else if (isset($noty) && $noty == 4) { ?>
    <div class="updated">
        <p><?php _e("Les coordonnées du vendeur sur le plugin Mondial Relay pour WordPress ont bien été réinitialisées.", 'mondialrelay-wordpress') ?></p>
    </div>
<?php }
// Reset email Mondial Relay parameters message
else if (isset($noty) && $noty == 5) { ?>
    <div class="updated">
        <p><?php _e("Les paramètres d'emails de plugin Mondial Relay pour WordPress ont bien été réinitialisés.", 'mondialrelay-wordpress') ?></p>
    </div>
<?php }
// Debug
if (isset($noty) && $noty == 7) { ?>
    <div class="updated">
        <p><?php _e("Le mode debug a bien été modifié", 'mondialrelay-wordpress') ?></p>
    </div>
<?php }
// Menu position
if (isset($noty) && $noty == 8) { ?>
    <div class="updated">
        <p><?php _e("La position du plugin a bien été modifiée dans le menu de Wordpress<br>Rechargez la page pour voir apparaître la nouvelle position.", 'mondialrelay-wordpress') ?></p>
    </div>
<?php }
// WooCommerce Folder
if (isset($noty) && $noty == 9) { ?>
    <div class="updated">
        <p><?php _e("Le nom du dossier du plugin WooCommerce a bien été modifié.", 'mondialrelay-wordpress') ?></p>
    </div>
<?php }
?>

<h1><?php _e("Maintenance du plugin Mondial Relay", 'mondialrelay-wordpress') ?></h1>

<h3><?php _e("Mode Debug", 'mondialrelay-wordpress') ?></h3>
<form method="post" action="" id="mondialrelay_admin_debug">
    <table class="form-table">
        <tbody>
        <tr valign="top">
            <th scope="row"><label for="mondialrelay_debug"><?php _e('Activer le mode debug ?', 'mondialrelay-wordpress') ?> </label> <span class="woocommerce-help-tip" data-tip="<?php _e("Permet d'afficher les logs concernant les fonctionnalités du plugin Mondial Relay pour WordPress<br><strong>Non par défaut</strong>", 'mondialrelay-wordpress') ?>"></span></th>
            <td>
                <input type="radio" name="mondialrelay_debug" id="mondialrelay_debug_oui" value="1" <?php if ($mondialrelay_debug == true) echo 'checked'; ?>><label for="mondialrelay_debug_oui"><?php _e("Oui", 'mondialrelay-wordpress') ?></label>
                <input type="radio" name="mondialrelay_debug" id="mondialrelay_debug_non" value="0" <?php if ($mondialrelay_debug == false) echo 'checked'; ?>><label for="mondialrelay_debug_non"><?php _e("Non", 'mondialrelay-wordpress') ?></label>
            </td>
        </tr>
        </tbody>
    </table>
    <p class="submit"><input type="submit" name="debug" id="debug" class="button button-primary" value="<?php _e("Enregistrer les changements", 'mondialrelay-wordpress') ?>"></p>
</form>
<hr>
<h3><?php _e("Chargement du JavaScript", 'mondialrelay-wordpress') ?></h3>
<form method="post" action="" id="mondialrelay_admin_jquery">
    <table class="form-table">
        <tbody>
        <tr valign="top">
            <th scope="row"><label for="mondialrelay_jquery"><?php _e('Charger le Jquery dans le header ?', 'mondialrelay-wordpress') ?> </label> <span class="woocommerce-help-tip" data-tip="<?php _e("permet de charger le JavaScript en premier, mais peut  ralentir le chargement de la page<br><strong>Non par défaut</strong>", 'mondialrelay-wordpress') ?>"></span></th>
            <td>
                <input type="radio" name="mondialrelay_jquery" id="mondialrelay_jquery_oui" value="1" <?php if ($mondialrelay_jquery == true) echo 'checked'; ?>><label for="mondialrelay_jquery_oui">Oui</label>
                <input type="radio" name="mondialrelay_jquery" id="mondialrelay_jquery_non" value="0" <?php if ($mondialrelay_jquery == false) echo 'checked'; ?>><label for="mondialrelay_jquery_non">Non</label>
            </td>
        </tr>
        </tbody>
    </table>
    <p class="submit"><input type="submit" name="mrjquery" id="mrjquery" class="button button-primary" value="<?php _e("Enregistrer les changements", 'mondialrelay-wordpress') ?>"></p>
</form>

<hr>
<h3><?php _e("Limitation du poids", 'mondialrelay-wordpress') ?></h3>
<form method="post" action="" id="mondialrelay_admin_poids">
    <table class="form-table">
        <tbody>
        <tr valign="top">
            <th scope="row"><label for="mondialrelay_poids"><?php _e("Désactiver la limitation du poids ?<br>Attention : le panier des clients n'aura plus de limite de poids, mais les contraintes de poids de Mondial Relay s'appliquent toujours (par exemple 30 kg maximum en point relais)", 'mondialrelay-wordpress') ?> </label> <span class="woocommerce-help-tip" data-tip="<?php _e("Attention : le panier des clients n'aura plus de limite de poids, mais les contraintes de poids de Mondial Relay s'appliquent toujours (par exemple 30 kg maximum en point relais)", 'mondialrelay-wordpress') ?>"></span></th>
            <td>
                <input type="radio" name="mondialrelay_poids" id="mondialrelay_poids_oui" value="1" <?php if ($mondialrelay_poids == true) echo 'checked'; ?>><label for="mondialrelay_poids_oui">Oui</label>
                <input type="radio" name="mondialrelay_poids" id="mondialrelay_poids_non" value="0" <?php if ($mondialrelay_poids == false) echo 'checked'; ?>><label for="mondialrelay_poids_non">Non</label>
            </td>
        </tr>
        </tbody>
    </table>
    <p class="submit"><input type="submit" name="mrpoids" id="mrpoids" class="button button-primary" value="<?php _e("Enregistrer les changements", 'mondialrelay-wordpress') ?>"></p>
</form>

<hr>
<h3><?php _e("Position du plugin dans le menu latéral", 'mondialrelay-wordpress') ?></h3>
<form method="post" action="" id="mondialrelay_admin_menu_position">
    <table class="form-table">
        <tbody>
        <tr valign="top">
            <th scope="row"><label for="mondialrelay_menu_position"><?php _e('Position', 'mondialrelay-wordpress') ?> </label>  <span class="woocommerce-help-tip" data-tip="<?php _e("Position du menu dans le menu latéral de Wordpress<br><strong>58.1 par défaut</strong>", 'mondialrelay-wordpress') ?>"></span></th>
            <td>
                <input type="text" name="mondialrelay_menu_position" id="mondialrelay_menu_position" value="<?php echo $mondialrelay_menu_position; ?>">
            </td>
        </tr>
        </tbody>
    </table>
    <p class="submit"><input type="submit" name="mondialrelay_position" id="mondialrelay_position" class="button button-primary" value="<?php _e("Enregistrer les changements", 'mondialrelay-wordpress') ?>"></p>
</form>
<hr>
<h3><?php _e("Dossier de WooCommerce", 'mondialrelay-wordpress') ?></h3>
<form method="post" action="" id="mondialrelay_woocommerce_folder">
    <table class="form-table">
        <tbody>
        <tr valign="top">
            <th scope="row"><label for="mondialrelay_woocommerce_folder"><?php _e('Nom', 'mondialrelay-wordpress') ?> </label> <span class="woocommerce-help-tip" data-tip="<?php _e("Nom du dossier du plugin WooCommerce<br><strong>woocommerce par défaut</strong>", 'mondialrelay-wordpress') ?>"></span></th>
            <td>
                <input type="text" name="mondialrelay_woocommerce_folder" id="mondialrelay_woocommerce_folder" value="<?php echo $mondialrelay_woocommerce_folder; ?>">
            </td>
        </tr>
        </tbody>
    </table>
    <p class="submit"><input type="submit" name="mondialrelay_position" id="mondialrelay_position" class="button button-primary" value="<?php _e("Enregistrer les changements", 'mondialrelay-wordpress') ?>"></p>
</form>
<hr>
<h3><?php _e("Réinitialisation des paramètres", 'mondialrelay-wordpress') ?></h3>
<table class="wp-list-table widefat fixed striped">
    <tr>
        <td>
            <?php _e("Réinitialiser tous vos paramètres relatifs au plugin Mondial Relay pour WordPress, et \"nettoyer\" votre base de données Wordpress de toutes les entrées spécifiques à ce plugin", 'mondialrelay-wordpress') ?>
        </td>
        <td style="text-align:right; vertical-align: middle;">
            <a href="?page=wp-mondialrelay-maintenance&all=1" onclick="return(confirm('<?php _e("Etes-vous sûr de vouloir réinitialiser TOUS vos paramètres Mondial Relay ?", 'mondialrelay-wordpress') ?>'));"  class="button"><?php _e("Réinitialiser tous les paramètres Mondial Relay", 'mondialrelay-wordpress') ?></a>
        </td>
    </tr>
    <tr>
        <td>
            <?php _e("Réinitialiser uniquement les paramètres de configuration du plugin Mondial Relay pour WordPress", 'mondialrelay-wordpress') ?>
        </td>
        <td  style="text-align:right; vertical-align: middle;">
            <a href="?page=wp-mondialrelay-maintenance&conf=1" onclick="return(confirm('<?php _e("Etes-vous sûr de vouloir réinitialiser les paramètres de configuration Mondial Relay ?", 'mondialrelay-wordpress') ?>'));" class="button"><?php _e("Réinitialiser les paramètres de compte Mondial Relay", 'mondialrelay-wordpress') ?></a>
        </td>
    </tr>
    <tr>
        <td>
            <?php _e("Réinitialiser uniquement les paramètres de recherche de Point Relais® du plugin Mondial Relay pour WordPress", 'mondialrelay-wordpress') ?>
        </td>
        <td style="text-align:right; vertical-align: middle;">
             <a href="?page=wp-mondialrelay-maintenance&points=1" onclick="return(confirm('<?php _e("Etes-vous sûr de vouloir réinitialiser les paramètres de configuration Mondial Relay ?", 'mondialrelay-wordpress') ?>'));" class="button"><?php _e("Réinitialiser les paramètres de recherche de Point Relais® Mondial Relay", 'mondialrelay-wordpress') ?></a>
        </td>
    </tr>
    <tr>
        <td>
            <?php _e("Réinitialiser vos coordonnées vendeur du plugin Mondial Relay pour WordPress", 'mondialrelay-wordpress') ?>
        </td>
        <td style="text-align:right; vertical-align: middle;">
            <a href="?page=wp-mondialrelay-maintenance&vendeur=1" onclick="return(confirm('<?php _e("Etes-vous sûr de vouloir réinitialiser vos paramètres vendeur ?", 'mondialrelay-wordpress') ?>'));"  class="button"><?php _e("Réinitialiser les paramètres vendeur", 'mondialrelay-wordpress') ?></a>
        </td>
    </tr>
    <tr>
        <td>
            <?php _e("Réinitialiser vos paramètres d'emails du plugin Mondial Relay pour WordPress", 'mondialrelay-wordpress') ?>
        </td>
        <td style="text-align:right; vertical-align: middle;">
            <a href="?page=wp-mondialrelay-maintenance&emails=1" onclick="return(confirm('<?php _e("Etes-vous sûr de vouloir réinitialiser vos paramètres emails ?", 'mondialrelay-wordpress') ?>'));"  class="button"><?php _e("Réinitialiser les paramètres emails", 'mondialrelay-wordpress') ?></a>
        </td>
    </tr>
</table>

<div id="message" class="mrwp-message">
    <div class="squeezer">
        <p><strong><?php _e("Aide", 'mondialrelay-wordpress') ?></strong><br>
            <?php _e("Pour plus d'informations sur les options du plugin, consultez", 'mondialrelay-wordpress') ?> <a target="_blank" href="<?php echo class_MRWP_main::DOCUMENTATION; ?>"> <?php _e("la documentation", 'mondialrelay-wordpress') ?></a>.</p>
    </div>
</div>
