<h1><?php _e("Web Service Mondial Relay", 'mondialrelay-wordpress') ?></h1>

<h3><?php _e("Test du Web Service Mondial Relay", 'mondialrelay-wordpress') ?></h3>
<?php
if (isset($noty) && $noty == 6) {
    ?>
    <table class="wp-list-table widefat fixed posts striped" width="100%" colspacing="0">
        <thead>
        <th><?php _e("Type", 'mondialrelay-wordpress'); ?></th>
        <th><?php _e("Réponse", 'mondialrelay-wordpress'); ?></th>
        <th><?php _e("Message", 'mondialrelay-wordpress'); ?></th>
        <?php
        if ($mondialrelay_debug == 1) {
            echo '<th>';
            _e("Paramètres", 'mondialrelay-wordpress');
            echo '</th>';
        }
        ?>
        </thead>
        <tbody>
        <tr>
            <td><p><strong><?php _e("Test des paramètres de compte Mondial Relay", 'mondialrelay-wordpress'); ?></strong></p></td>
            <td>
                <?php
                if ($callback == 0) {
                    echo '<span class="status-enabled tips" data-tip="';
                    _e("Succès", 'mondialrelay-wordpress');
                    echo '">';
                    _e("Succès", 'mondialrelay-wordpress');
                    echo '</span><br>';
                }
                else {
                    echo '<span class="status-manual tips" data-tip="';
                    _e("Erreur", 'mondialrelay-wordpress');
                    echo '">';
                    _e("Erreur", 'mondialrelay-wordpress');
                    echo '</span><br>';
                }
                ?>
            </td>
            <td class="<?php if ($callback == 0) echo 'success'; else { echo 'error'; } ?>">
                <?php
                if ($callback == 0) {
                    _e("Les paramètres de compte Mondial Relay sont correctement remplis", 'mondialrelay-wordpress');
                }
                else {
                    _e("Erreur", 'mondialrelay-wordpress');
                    echo ' ' . $callback . '</strong><br>' . $libelle_retour;
                }
                ?>
            </td>
                <?php
                if ($mondialrelay_debug == 1) {
                    echo '<td>';
                    class_MRWP_helpers::varPrint($params);
                    echo '</td>';
                }
                ?>
        </tr>
        <?php if ($callback == 0) { ?>
        <tr>
            <td><p><strong><?php _e("Test des paramètres des coordonnées vendeur", 'mondialrelay-wordpress'); ?></strong></p></td>
            <td>
                <?php
                if ($vendeur == 0) {
                    echo '<span class="status-enabled tips" data-tip="';
                    _e("Succès", 'mondialrelay-wordpress');
                    echo '">';
                    _e("Succès", 'mondialrelay-wordpress');
                    echo '</span><br>';
                }
                else {
                    echo '<span class="status-manual tips" data-tip="';
                    _e("Erreur", 'mondialrelay-wordpress');
                    echo '">';
                    _e("Erreur", 'mondialrelay-wordpress');
                    echo '</span><br>';
                }
                ?>
            </td>
            <td class="<?php if ($vendeur == 0) echo 'success'; else { echo 'error'; } ?>">
                <?php
                if ($vendeur == 0) {
                    _e("Les coordonnées du vendeur sont correctement remplies", 'mondialrelay-wordpress');
                }
                else {
                    _e("Erreur", 'mondialrelay-wordpress');
                    echo ' ' . $vendeur . '</strong><br>' . $libelle_vendeur_retour;
                }
                ?>
            </td>
            <?php
            if ($mondialrelay_debug == 1) {
                echo '<td>';
                class_MRWP_helpers::varPrint($params_vendeur);
                echo '</td>';
            }
            ?>
        </tr>
        <?php } ?>
        </tbody>
    </table>
<?php
}
?>
<p><?php _e("Pour tester le bon fonctionnement du webservice Mondial Relay avec votre configuration, cliquez sur le bouton ci-dessous :", 'mondialrelay-wordpress') ?></p>
<form method="POST">
    <input type="submit" name="webservice" class="button save_order button-primary" value="<?php _e("Tester le Web Service Mondial Relay", 'mondialrelay-wordpress') ?>">
</form>

<br>

<div id="message" class="mrwp-message">
    <div class="squeezer">
        <p><strong><?php _e("Aide", 'mondialrelay-wordpress') ?></strong><br>
            <?php _e("Pour plus d'informations sur le Web Service Mondial Relay, consultez", 'mondialrelay-wordpress') ?> <a target="_blank" href="<?php echo class_MRWP_main::DOCUMENTATION; ?>"> <?php _e("la documentation", 'mondialrelay-wordpress') ?></a>.</p>
    </div>
</div>